package com.muyu.company.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 开通服务表
 *
 * @ClassName Liberal
 * @Author AnNan.Wang
 * @Date 2024/5/28 21:31
 */


@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("liberal")
@EqualsAndHashCode(callSuper = true)
public class Liberal extends BaseEntity {
    private static final long serialVersionUID =1L;

    /**
     * 开通主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 1开通 2未开通
     */
    private String activateTheService;
}
