package com.muyu.company.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 支付方式表
 *
 * @ClassName Payment
 * @Author AnNan.Wang
 * @Date 2024/5/28 21:51
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("payment")
@EqualsAndHashCode(callSuper = true)
public class Payment extends BaseEntity {
    private static final long serialVersionUID =1L;

    /**
     * 支付方式主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 支付方式
     */
    private String payment;
}
